XtraScreenHacks(6)

NAME
psychedelic - old school color table animation

SYNOPSIS
psychedelic [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-ncolors number] [-smooth] [-mono] [-clover] [-simple] [-simple2] [-fps]

DESCRIPTION
Old school color table animation, featuring the classic Smoking Clover hack by Bill Gospers.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-ncolors number
    How many different colors should be used. Legal values are from 2 to 256. The original Smoking Clover hack used 16. Default: 64.

-smooth
    Use smooth color transitioning, i.e. animation cycles along a color gradient rather than through discrete bands of color. Doesn't show too well with a small number of colors.

-mono
    Make animation run in black and white. Can be a real eyesore. Overrides -ncolors.

-clover
    Animate the Smoking Clover map. This is the default. Overrides other maps.

-simple
    Animate the vertical stripes map.

-simple2
    Animate the horizontal stripes map. Overrides -simple.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2011 by Kelley Nielsen. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>